#include <stdio.h>

typedef int (*Handler)(int, int, void*);
static Handler handler;
static void *user_data;

void install_handler(Handler h, void *d) {
  handler = h;
  user_data = d;
}

void event_loop (void) {
  int i, res = 0; // "res" just makes sure that we did the same thing.
  for (i = 0; i < 10000000; ++i)
    if (handler) res += handler(i,i,user_data);
  printf("%d\n", res);
}

